% General class representing an (un)conditional kernel density estimate in
% an arbitrary number of dimensions.
%
% (c)2014 Andreas M. Lehrmann

classdef KDE < handle
    
    properties
        data
        pIndex
        dim
        samples
        
        B %bandwidth
        B2 %bandwidth*bandwidth^T
        best %bandwidth estimation technique
        
        LJ
        LM
        PJ
        PM
        
        constantStatic
        constantDynamic
            
        totalClusters
        jointClustering
        marginalClustering
    end
    
    methods        
        function obj = KDE()    
                        
        end
    end
end